package solutions.bitbadger.documents.core.tests.java.integration;

import solutions.bitbadger.documents.Configuration;
import solutions.bitbadger.documents.Dialect;
import solutions.bitbadger.documents.DocumentException;

public class JsonFunctions {

    /**
     * PostgreSQL, when returning JSONB as a string, has spaces after commas and colons delineating fields and values.
     * This function will do a crude string replacement to match the target string based on the dialect being tested.
     *
     * @param json The JSON which should be returned
     * @return The actual expected JSON based on the database being tested
     */
    public static String maybeJsonB(String json) throws DocumentException {
        if (Configuration.dialect() == Dialect.SQLITE) {
            return json;
        }
        return json.replace("\":\"", "\": \"").replace("\",\"", "\", \"").replace("\":[", "\": [");
    }
}
