package solutions.bitbadger.documents.kotlinx.tests.integration

import solutions.bitbadger.documents.Configuration
import solutions.bitbadger.documents.Dialect

object JsonFunctions {

    /**
     * PostgreSQL, when returning JSONB as a string, has spaces after commas and colons delineating fields and values.
     * This function will do a crude string replacement to match the target string based on the dialect being tested.
     *
     * @param json The JSON which should be returned
     * @return The actual expected JSON based on the database being tested
     */
    fun maybeJsonB(json: String) =
        when (Configuration.dialect()) {
            Dialect.SQLITE -> json
            Dialect.POSTGRESQL -> json.replace("\":\"", "\": \"").replace("\",\"", "\", \"").replace("\":[", "\": [")
        }
}